# $Revision: 1.9 $, $Date: 2005/05/12 22:57:15 $
Summary:	Graphical simulator for the Intel 8085 microprocessor
Summary(pl):	Graficzny symulator mikroprocesora Intel 8085
Name:		GNUSim8085
Version:	1.2.89
Release:	6
License:	GPL
Group:		Applications/Engineering
Source0:	http://dl.sourceforge.net/gnusim8085/%{name}-%{version}.tar.bz2
# Source0-md5:	fe51e74cc1698e8a0548d3865fb7afee
Source1:	%{name}.desktop
Patch0:		%{name}-link.patch
URL:		http://sourceforge.net/projects/gnusim8085/
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 1:2.0
BuildRequires:	libgnomeui-devel >= 2.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNUSim8085 is a graphical simulator plus assembler with debugger for
the Intel 8085 microprocessor.

%description -l pl
GNUSim8085 jest graficznym symulatorem wraz z asemblerem i debugerem
dla mikroprocesora Intel 8085.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__gettextize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_mandir}/man1}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}/* \
	$RPM_BUILD_ROOT%{_pixmapsdir}

cp -rf doc/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}
install doc/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop
%{_examplesdir}/%{name}
%{_pixmapsdir}/*.png
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: GNUSim8085.spec,v $
Revision 1.9  2005/05/12 22:57:15  ankry
- add manpage

Revision 1.8  2005/05/12 22:37:32  ankry
- %{__libtoolize}

Revision 1.7  2005/05/12 22:20:30  ankry
- rel. 6 to rebuild with new libhowl

Revision 1.6  2004/11/27 18:52:04  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.5  2004/09/20 22:13:35  ankry
- rel. 5

Revision 1.4  2004/08/08 14:13:17  havner
- rel 4

Revision 1.3  2004/02/15 19:51:19  qboosh
- fixed link patch, removed bogus libiconv dep; release 3

Revision 1.2  2004/02/14 16:52:31  undefine
- ac/am, more BR, rel 2

Revision 1.1  2004/02/03 18:41:03  yogib
- s/gnusim8085.spec/GNUSim8085.spec/

Revision 1.3  2004/02/03 17:23:13  qboosh
- fixed BRs and URL

Revision 1.2  2004/02/02 21:38:45  yogib
- rel 1

Revision 1.1  2004/02/01 21:35:46  yogib
- added, nfy
